Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ast
Class DerivedMethodDecl

    java.lang.Object
      escjava.ast.DerivedMethodDecl

public class DerivedMethodDecl
extends java.lang.Object

This class represents the intermediate method declaration/specification structure used in escjava.translate.GetSpec as described in section 7 of ESCJ 16.

Field Summary
`FormalParaDeclVec` | `args`
`ExprModifierPragmaVec` | `ensures`
`VarExprModifierPragmaVec` | `exsures`
`ModifiesGroupPragmaVec` | `modifies`
`boolean` | `modifiesEverything`
`SimpleModifierPragma` | `nonnull`
`RoutineDecl` | `original`
`ExprModifierPragmaVec` | `requires`
`Type` | `returnType`
`TypeNameVec` | `throwsSet`
`boolean` | `usesFresh`

Constructor Summary
`DerivedMethodDecl(RoutineDecl rd)`

Method Summary
`void` | `computeFreshUsage()`
`TypeDecl` | `getContainingClass()`
`Identifier` | `getId()`
`int` | `getRoutineDeclEndLoc()`
`int` | `getRoutineDeclStartLoc()`
`boolean` | `isConstructor()`
`boolean` | `isConstructorThatCallsSibling()`
`boolean` | `isInstanceMethod()`
`boolean` | `isStaticMethod()`
`boolean` | `isSynchronized()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### original

    public RoutineDecl original

### args

    public FormalParaDeclVec args

### returnType

    public Type returnType

### throwsSet

    public TypeNameVec throwsSet

### usesFresh

    public boolean usesFresh

### requires

    public ExprModifierPragmaVec requires

### modifies

    public ModifiesGroupPragmaVec modifies

### modifiesEverything

    public boolean modifiesEverything

### ensures

    public ExprModifierPragmaVec ensures

### exsures

    public VarExprModifierPragmaVec exsures

### nonnull

    public SimpleModifierPragma nonnull

Constructor Detail

### DerivedMethodDecl

    public DerivedMethodDecl(RoutineDecl rd)

Method Detail

### isConstructor

    public boolean isConstructor()

### isConstructorThatCallsSibling

    public boolean isConstructorThatCallsSibling()

### isStaticMethod

    public boolean isStaticMethod()

### isInstanceMethod

    public boolean isInstanceMethod()

### isSynchronized

    public boolean isSynchronized()

### getId

    public Identifier getId()

### getContainingClass

    public TypeDecl getContainingClass()

### getRoutineDeclStartLoc

    public int getRoutineDeclStartLoc()

### getRoutineDeclEndLoc

    public int getRoutineDeclEndLoc()

### computeFreshUsage

    public void computeFreshUsage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage